%define version	3.1.1.9
%define release	3mdk
%define prefix	/usr/X11R6

Summary:	An X Window System based IBM 3278/3279 terminal emulator
Name:		x3270
Version:	%{version}
Release:	%{release}
Copyright:	MIT
Group:		Terminals

Source:		ftp://ftp.x.org/contrib/applications/x3270/x3270-%{version}.tar.bz2
Source1:	x3270.bz2
Source2:	terminal.xpm.bz2
Prereq:		/usr/X11R6/bin/mkfontdir
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep

%setup -q -n x3270-3.1.1

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
install -d 755 $RPM_BUILD_ROOT/usr/lib/menu
install -d 755 $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}
chmod 644 $RPM_BUILD_ROOT/usr/lib/menu/%{name} $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}

# Fix stupid source
perl -pi -e 's|\$\(BINDIR\)\/\$\(MKFONTDIR\)|\$\(MKFONTDIR\)|' Makefile
make DESTDIR=$RPM_BUILD_ROOT install

make DESTDIR=$RPM_BUILD_ROOT install.man

mkdir -p $RPM_BUILD_ROOT/etc/X11/app-defaults
install -m 644 X3270.xad $RPM_BUILD_ROOT/etc/X11/app-defaults/X3270

rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/fonts.dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
%{update_menus}

%postun
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
%{clean_menus}

%files
%defattr(-,root,root)
%config(noreplace) /etc/X11/app-defaults/*
%doc Docs html
%{prefix}/bin/*
%{prefix}/lib/X11/fonts/misc/*
%{prefix}/man/man1/*
%dir %{prefix}/lib/X11/x3270
%{prefix}/lib/X11/x3270/*

%changelog
* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-3mdk
- Fix conflict with XFree

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-2mdk
- Allow to build
- Remove wmconfig support
- BM
- %%{update_menus} && %%{clean_menus}
- Spec clean up (aka remove crazy things)
- Fix menu entry (aka remove stupid hard coded PATH for icon and fix title)

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.1.1.9-1mdk
- Changed group to new groups
- updated to 3.1.1.9
- added HTML docs
- Added menu to spec file

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
